Skip to content
GitLab
Menu
Projects
Groups
Snippets
Loading...
Help
Help
Support
Community forum
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in
Toggle navigation
Menu
Open sidebar
OpenDAS
vllm_cscc
Commits
2f702498
Unverified
Commit
2f702498
authored
Jan 08, 2025
by
Li, Jiang
Committed by
GitHub
Jan 08, 2025
Browse files
[CI/Build][Bugfix] Fix CPU CI image clean up (#11836)
Signed-off-by:
jiang1.li
<
jiang1.li@intel.com
>
parent
6cd40a5b
Changes
2
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
with
3 additions
and
6 deletions
+3
-6
.buildkite/run-cpu-test.sh
.buildkite/run-cpu-test.sh
+2
-5
vllm/model_executor/layers/activation.py
vllm/model_executor/layers/activation.py
+1
-1
No files found.
.buildkite/run-cpu-test.sh
View file @
2f702498
...
@@ -13,7 +13,7 @@ numactl -C "$CORE_RANGE" -N "$NUMA_NODE" docker build -t cpu-test-"$BUILDKITE_BU
...
@@ -13,7 +13,7 @@ numactl -C "$CORE_RANGE" -N "$NUMA_NODE" docker build -t cpu-test-"$BUILDKITE_BU
numactl
-C
"
$CORE_RANGE
"
-N
"
$NUMA_NODE
"
docker build
--build-arg
VLLM_CPU_DISABLE_AVX512
=
"true"
-t
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-avx2
-f
Dockerfile.cpu
.
numactl
-C
"
$CORE_RANGE
"
-N
"
$NUMA_NODE
"
docker build
--build-arg
VLLM_CPU_DISABLE_AVX512
=
"true"
-t
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-avx2
-f
Dockerfile.cpu
.
# Setup cleanup
# Setup cleanup
remove_docker_container
()
{
docker
rm
-f
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-
"
$NUMA_NODE
"
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-avx2-
"
$NUMA_NODE
"
||
true
;
}
remove_docker_container
()
{
set
-e
;
docker
rm
-f
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-
"
$NUMA_NODE
"
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-avx2-
"
$NUMA_NODE
"
||
true
;
}
trap
remove_docker_container EXIT
trap
remove_docker_container EXIT
remove_docker_container
remove_docker_container
...
@@ -35,10 +35,7 @@ function cpu_tests() {
...
@@ -35,10 +35,7 @@ function cpu_tests() {
# Run basic model test
# Run basic model test
docker
exec
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-
"
$NUMA_NODE
"
bash
-c
"
docker
exec
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-
"
$NUMA_NODE
"
bash
-c
"
set -e
set -e
pip install pytest pytest-asyncio
\
pip install -r vllm/requirements-test.txt
decord einops librosa peft Pillow sentence-transformers soundfile
\
transformers_stream_generator matplotlib datamodel_code_generator
pip install torchvision --index-url https://download.pytorch.org/whl/cpu
pytest -v -s tests/models/decoder_only/language -m cpu_model
pytest -v -s tests/models/decoder_only/language -m cpu_model
pytest -v -s tests/models/embedding/language -m cpu_model
pytest -v -s tests/models/embedding/language -m cpu_model
pytest -v -s tests/models/encoder_decoder/language -m cpu_model
pytest -v -s tests/models/encoder_decoder/language -m cpu_model
...
...
vllm/model_executor/layers/activation.py
View file @
2f702498
...
@@ -61,7 +61,7 @@ class SiluAndMul(CustomOp):
...
@@ -61,7 +61,7 @@ class SiluAndMul(CustomOp):
def
__init__
(
self
):
def
__init__
(
self
):
super
().
__init__
()
super
().
__init__
()
if
current_platform
.
is_cuda_alike
():
if
current_platform
.
is_cuda_alike
()
or
current_platform
.
is_cpu
()
:
self
.
op
=
torch
.
ops
.
_C
.
silu_and_mul
self
.
op
=
torch
.
ops
.
_C
.
silu_and_mul
elif
current_platform
.
is_xpu
():
elif
current_platform
.
is_xpu
():
import
intel_extension_for_pytorch
as
ipex
import
intel_extension_for_pytorch
as
ipex
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
.
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment